/*
 * Copyright (C) 2013  Waritnan Sookbuntherng
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package tk.lion328.game.engine.coalsrc.util;

import static org.lwjgl.opengl.GL11.*;

public class Draw2D {
	
	public static void drawRectangle(float startX, float startY, float endX, float endY){
		glBegin(GL_QUADS);
			glVertex2f(startX, startY);
			glVertex2f(startX, endY);
			glVertex2f(endX, endY);
			glVertex2f(endX, startY);
		glEnd();
	}
	
	public static void drawSquare(float startX, float startY, float length){
		drawRectangle(startX, startY, startX + length, startY + length);
	}
}
